<?php
$tdatasalary_list = array();
$tdatasalary_list[".searchableFields"] = array();
$tdatasalary_list[".ShortName"] = "salary_list";
$tdatasalary_list[".OwnerID"] = "";
$tdatasalary_list[".OriginalTable"] = "salary_list";


$tdatasalary_list[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatasalary_list[".originalPagesByType"] = $tdatasalary_list[".pagesByType"];
$tdatasalary_list[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatasalary_list[".originalPages"] = $tdatasalary_list[".pages"];
$tdatasalary_list[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatasalary_list[".originalDefaultPages"] = $tdatasalary_list[".defaultPages"];

//	field labels
$fieldLabelssalary_list = array();
$fieldToolTipssalary_list = array();
$pageTitlessalary_list = array();
$placeHolderssalary_list = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelssalary_list["English"] = array();
	$fieldToolTipssalary_list["English"] = array();
	$placeHolderssalary_list["English"] = array();
	$pageTitlessalary_list["English"] = array();
	$fieldLabelssalary_list["English"]["id"] = "Id";
	$fieldToolTipssalary_list["English"]["id"] = "";
	$placeHolderssalary_list["English"]["id"] = "";
	$fieldLabelssalary_list["English"]["month"] = "Month";
	$fieldToolTipssalary_list["English"]["month"] = "";
	$placeHolderssalary_list["English"]["month"] = "";
	$fieldLabelssalary_list["English"]["date"] = "Date";
	$fieldToolTipssalary_list["English"]["date"] = "";
	$placeHolderssalary_list["English"]["date"] = "";
	$fieldLabelssalary_list["English"]["prepared_by"] = "Prepared By";
	$fieldToolTipssalary_list["English"]["prepared_by"] = "";
	$placeHolderssalary_list["English"]["prepared_by"] = "";
	$fieldLabelssalary_list["English"]["checked_by"] = "Checked By";
	$fieldToolTipssalary_list["English"]["checked_by"] = "";
	$placeHolderssalary_list["English"]["checked_by"] = "";
	$fieldLabelssalary_list["English"]["total_payment"] = "Total Payment";
	$fieldToolTipssalary_list["English"]["total_payment"] = "";
	$placeHolderssalary_list["English"]["total_payment"] = "";
	$fieldLabelssalary_list["English"]["salary_recipients"] = "Salary Recipients";
	$fieldToolTipssalary_list["English"]["salary_recipients"] = "";
	$placeHolderssalary_list["English"]["salary_recipients"] = "";
	$fieldLabelssalary_list["English"]["user"] = "User";
	$fieldToolTipssalary_list["English"]["user"] = "";
	$placeHolderssalary_list["English"]["user"] = "";
	$pageTitlessalary_list["English"]["view"] = "Salary List id  -  {%id} , Month -  {%month}";
	$pageTitlessalary_list["English"]["edit"] = "Salary List, Edit - {%id}";
	if (count($fieldToolTipssalary_list["English"]))
		$tdatasalary_list[".isUseToolTips"] = true;
}


	$tdatasalary_list[".NCSearch"] = true;



$tdatasalary_list[".shortTableName"] = "salary_list";
$tdatasalary_list[".nSecOptions"] = 0;

$tdatasalary_list[".mainTableOwnerID"] = "";
$tdatasalary_list[".entityType"] = 0;
$tdatasalary_list[".connId"] = "test2_at_localhost";


$tdatasalary_list[".strOriginalTableName"] = "salary_list";

	



$tdatasalary_list[".showAddInPopup"] = false;

$tdatasalary_list[".showEditInPopup"] = false;

$tdatasalary_list[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatasalary_list[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatasalary_list[".listAjax"] = false;
//	temporary
$tdatasalary_list[".listAjax"] = false;

	$tdatasalary_list[".audit"] = true;

	$tdatasalary_list[".locking"] = false;


$pages = $tdatasalary_list[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatasalary_list[".edit"] = true;
	$tdatasalary_list[".afterEditAction"] = 1;
	$tdatasalary_list[".closePopupAfterEdit"] = 1;
	$tdatasalary_list[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatasalary_list[".add"] = true;
$tdatasalary_list[".afterAddAction"] = 1;
$tdatasalary_list[".closePopupAfterAdd"] = 1;
$tdatasalary_list[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatasalary_list[".list"] = true;
}



$tdatasalary_list[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatasalary_list[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatasalary_list[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatasalary_list[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatasalary_list[".printFriendly"] = true;
}



$tdatasalary_list[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatasalary_list[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatasalary_list[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatasalary_list[".isUseAjaxSuggest"] = true;

$tdatasalary_list[".rowHighlite"] = true;



																																																			

$tdatasalary_list[".ajaxCodeSnippetAdded"] = false;

$tdatasalary_list[".buttonsAdded"] = false;

$tdatasalary_list[".addPageEvents"] = false;

// use timepicker for search panel
$tdatasalary_list[".isUseTimeForSearch"] = false;


$tdatasalary_list[".badgeColor"] = "8FBC8B";


$tdatasalary_list[".allSearchFields"] = array();
$tdatasalary_list[".filterFields"] = array();
$tdatasalary_list[".requiredSearchFields"] = array();

$tdatasalary_list[".googleLikeFields"] = array();
$tdatasalary_list[".googleLikeFields"][] = "id";
$tdatasalary_list[".googleLikeFields"][] = "month";
$tdatasalary_list[".googleLikeFields"][] = "date";
$tdatasalary_list[".googleLikeFields"][] = "prepared_by";
$tdatasalary_list[".googleLikeFields"][] = "checked_by";
$tdatasalary_list[".googleLikeFields"][] = "total_payment";
$tdatasalary_list[".googleLikeFields"][] = "salary_recipients";
$tdatasalary_list[".googleLikeFields"][] = "user";



$tdatasalary_list[".tableType"] = "list";

$tdatasalary_list[".printerPageOrientation"] = 0;
$tdatasalary_list[".nPrinterPageScale"] = 100;

$tdatasalary_list[".nPrinterSplitRecords"] = 40;

$tdatasalary_list[".geocodingEnabled"] = false;










$tdatasalary_list[".pageSize"] = 20;

$tdatasalary_list[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatasalary_list[".strOrderBy"] = $tstrOrderBy;

$tdatasalary_list[".orderindexes"] = array();


$tdatasalary_list[".sqlHead"] = "SELECT id,  	`month`,  	`date`,  	prepared_by,  	checked_by,  	total_payment,  	salary_recipients,  	`user`";
$tdatasalary_list[".sqlFrom"] = "FROM salary_list";
$tdatasalary_list[".sqlWhereExpr"] = "";
$tdatasalary_list[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatasalary_list[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatasalary_list[".arrGroupsPerPage"] = $arrGPP;

$tdatasalary_list[".highlightSearchResults"] = true;

$tableKeyssalary_list = array();
$tableKeyssalary_list[] = "id";
$tdatasalary_list[".Keys"] = $tableKeyssalary_list;


$tdatasalary_list[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "salary_list";
	$fdata["Label"] = GetFieldLabel("salary_list","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_list["id"] = $fdata;
		$tdatasalary_list[".searchableFields"][] = "id";
//	month
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "month";
	$fdata["GoodName"] = "month";
	$fdata["ownerTable"] = "salary_list";
	$fdata["Label"] = GetFieldLabel("salary_list","month");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "month";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`month`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
		$edata["LookupType"] = 0;
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
	
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "1";
	$edata["LookupValues"][] = "2";
	$edata["LookupValues"][] = "3";
	$edata["LookupValues"][] = "4";
	$edata["LookupValues"][] = "5";
	$edata["LookupValues"][] = "6";
	$edata["LookupValues"][] = "7";
	$edata["LookupValues"][] = "8";
	$edata["LookupValues"][] = "9";
	$edata["LookupValues"][] = "10";
	$edata["LookupValues"][] = "11";
	$edata["LookupValues"][] = "12";

	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_list["month"] = $fdata;
		$tdatasalary_list[".searchableFields"][] = "month";
//	date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "date";
	$fdata["GoodName"] = "date";
	$fdata["ownerTable"] = "salary_list";
	$fdata["Label"] = GetFieldLabel("salary_list","date");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`date`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_list["date"] = $fdata;
		$tdatasalary_list[".searchableFields"][] = "date";
//	prepared_by
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "prepared_by";
	$fdata["GoodName"] = "prepared_by";
	$fdata["ownerTable"] = "salary_list";
	$fdata["Label"] = GetFieldLabel("salary_list","prepared_by");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "prepared_by";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "prepared_by";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_list["prepared_by"] = $fdata;
		$tdatasalary_list[".searchableFields"][] = "prepared_by";
//	checked_by
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "checked_by";
	$fdata["GoodName"] = "checked_by";
	$fdata["ownerTable"] = "salary_list";
	$fdata["Label"] = GetFieldLabel("salary_list","checked_by");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "checked_by";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "checked_by";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_list["checked_by"] = $fdata;
		$tdatasalary_list[".searchableFields"][] = "checked_by";
//	total_payment
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "total_payment";
	$fdata["GoodName"] = "total_payment";
	$fdata["ownerTable"] = "salary_list";
	$fdata["Label"] = GetFieldLabel("salary_list","total_payment");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "total_payment";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "total_payment";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_list["total_payment"] = $fdata;
		$tdatasalary_list[".searchableFields"][] = "total_payment";
//	salary_recipients
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "salary_recipients";
	$fdata["GoodName"] = "salary_recipients";
	$fdata["ownerTable"] = "salary_list";
	$fdata["Label"] = GetFieldLabel("salary_list","salary_recipients");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "salary_recipients";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "salary_recipients";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_list["salary_recipients"] = $fdata;
		$tdatasalary_list[".searchableFields"][] = "salary_recipients";
//	user
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "user";
	$fdata["GoodName"] = "user";
	$fdata["ownerTable"] = "salary_list";
	$fdata["Label"] = GetFieldLabel("salary_list","user");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "user";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`user`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_list["user"] = $fdata;
		$tdatasalary_list[".searchableFields"][] = "user";


$tables_data["salary_list"]=&$tdatasalary_list;
$field_labels["salary_list"] = &$fieldLabelssalary_list;
$fieldToolTips["salary_list"] = &$fieldToolTipssalary_list;
$placeHolders["salary_list"] = &$placeHolderssalary_list;
$page_titles["salary_list"] = &$pageTitlessalary_list;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["salary_list"] = array();
//	salary_summary
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="salary_summary";
		$detailsParam["dOriginalTable"] = "salary_summary";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "salary_summary";
	$detailsParam["dCaptionTable"] = GetTableCaption("salary_summary");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["salary_list"][$dIndex] = $detailsParam;

	
		$detailsTablesData["salary_list"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["salary_list"][$dIndex]["masterKeys"][]="id";

	$detailsTablesData["salary_list"][$dIndex]["masterKeys"][]="date";

				$detailsTablesData["salary_list"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["salary_list"][$dIndex]["detailKeys"][]="salary_list_id";

		
	$detailsTablesData["salary_list"][$dIndex]["detailKeys"][]="date";

// tables which are master tables for current table (detail)
$masterTablesData["salary_list"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_salary_list()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	`month`,  	`date`,  	prepared_by,  	checked_by,  	total_payment,  	salary_recipients,  	`user`";
$proto0["m_strFrom"] = "FROM salary_list";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "salary_list",
	"m_srcTableName" => "salary_list"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "salary_list";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "month",
	"m_strTable" => "salary_list",
	"m_srcTableName" => "salary_list"
));

$proto8["m_sql"] = "`month`";
$proto8["m_srcTableName"] = "salary_list";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "date",
	"m_strTable" => "salary_list",
	"m_srcTableName" => "salary_list"
));

$proto10["m_sql"] = "`date`";
$proto10["m_srcTableName"] = "salary_list";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "prepared_by",
	"m_strTable" => "salary_list",
	"m_srcTableName" => "salary_list"
));

$proto12["m_sql"] = "prepared_by";
$proto12["m_srcTableName"] = "salary_list";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "checked_by",
	"m_strTable" => "salary_list",
	"m_srcTableName" => "salary_list"
));

$proto14["m_sql"] = "checked_by";
$proto14["m_srcTableName"] = "salary_list";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "total_payment",
	"m_strTable" => "salary_list",
	"m_srcTableName" => "salary_list"
));

$proto16["m_sql"] = "total_payment";
$proto16["m_srcTableName"] = "salary_list";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "salary_recipients",
	"m_strTable" => "salary_list",
	"m_srcTableName" => "salary_list"
));

$proto18["m_sql"] = "salary_recipients";
$proto18["m_srcTableName"] = "salary_list";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "user",
	"m_strTable" => "salary_list",
	"m_srcTableName" => "salary_list"
));

$proto20["m_sql"] = "`user`";
$proto20["m_srcTableName"] = "salary_list";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto22=array();
$proto22["m_link"] = "SQLL_MAIN";
			$proto23=array();
$proto23["m_strName"] = "salary_list";
$proto23["m_srcTableName"] = "salary_list";
$proto23["m_columns"] = array();
$proto23["m_columns"][] = "id";
$proto23["m_columns"][] = "month";
$proto23["m_columns"][] = "date";
$proto23["m_columns"][] = "prepared_by";
$proto23["m_columns"][] = "checked_by";
$proto23["m_columns"][] = "total_payment";
$proto23["m_columns"][] = "salary_recipients";
$proto23["m_columns"][] = "user";
$obj = new SQLTable($proto23);

$proto22["m_table"] = $obj;
$proto22["m_sql"] = "salary_list";
$proto22["m_alias"] = "";
$proto22["m_srcTableName"] = "salary_list";
$proto24=array();
$proto24["m_sql"] = "";
$proto24["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto24["m_column"]=$obj;
$proto24["m_contained"] = array();
$proto24["m_strCase"] = "";
$proto24["m_havingmode"] = false;
$proto24["m_inBrackets"] = false;
$proto24["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto24);

$proto22["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto22);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="salary_list";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_salary_list = createSqlQuery_salary_list();


	
		;

								

$tdatasalary_list[".sqlquery"] = $queryData_salary_list;



$tableEvents["salary_list"] = new eventsBase;
$tdatasalary_list[".hasEvents"] = false;

?>